org.apache.mina.filter.codec.textline

## Class LineDelimiter

- java.lang.Object
- - org.apache.mina.filter.codec.textline.LineDelimiter

-     public class LineDelimiter
      extends Object

  A delimiter which is appended to the end of a text line, such as `CR/LF`. This class defines default delimiters for various OS :
  - Unix/Linux : LineDelimiter.UNIX ("\n")
  - Windows : LineDelimiter.WINDOWS ("\r\n")
  - MAC : LineDelimiter.MAC ("\r")
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LineDelimiter` | `AUTO` A special line delimiter which is used for auto-detection of EOL in `TextLineDecoder`.
    `static LineDelimiter` | `CRLF` The CRLF line delimiter constant (`"\r\n"`)
    `static LineDelimiter` | `DEFAULT` the line delimiter constant of the current O/S.
    `static LineDelimiter` | `MAC` The line delimiter constant of Mac OS (`"\r"`)
    `static LineDelimiter` | `NUL` The line delimiter constant for NUL-terminated text protocols such as Flash XML socket (`"\0"`)
    `static LineDelimiter` | `UNIX` The line delimiter constant of UNIX (`"\n"`)
    `static LineDelimiter` | `WINDOWS` The line delimiter constant of MS Windows/DOS (`"\r\n"`)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineDelimiter(String value)` Creates a new line delimiter with the specified `value`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getValue()` Return the delimiter string.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final LineDelimiter DEFAULT

      the line delimiter constant of the current O/S.

    - #### AUTO

          public static final LineDelimiter AUTO

      A special line delimiter which is used for auto-detection of EOL in `TextLineDecoder`. If this delimiter is used, `TextLineDecoder` will consider both `'\r'` and `'\n'` as a delimiter.

    - #### CRLF

          public static final LineDelimiter CRLF

      The CRLF line delimiter constant (`"\r\n"`)

    - #### UNIX

          public static final LineDelimiter UNIX

      The line delimiter constant of UNIX (`"\n"`)

    - #### WINDOWS

          public static final LineDelimiter WINDOWS

      The line delimiter constant of MS Windows/DOS (`"\r\n"`)

    - #### MAC

          public static final LineDelimiter MAC

      The line delimiter constant of Mac OS (`"\r"`)

    - #### NUL

          public static final LineDelimiter NUL

      The line delimiter constant for NUL-terminated text protocols such as Flash XML socket (`"\0"`)

  - ### Constructor Detail

    - #### LineDelimiter

          public LineDelimiter(String value)

      Creates a new line delimiter with the specified `value`.

  - ### Method Detail

    - #### getValue

          public String getValue()

      Return the delimiter string.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.